export declare class EclExpandable {
    el: HTMLElement;
    styleClass: string;
    noScript: boolean;
    isExpanded: boolean;
    elId: string;
    labelCollapsed: string;
    labelExpanded: string;
    theme: string;
    componentWillLoad(): void;
    componentDidLoad(): void;
    getClass(): string;
    render(): any;
}
